<template>
    <div class="TextInput">
        <label v-if="!!label" class="block mb-2 text-sm font-medium text-gray-900 " :for="name">{{ label }}</label>
        <el-date-picker :value-format="valueFormat" :format="format" :placeholder="label" v-model="value"
            v-bind="$attrs" :validate-event="false" style="width: 100%" />
        <p class="text-danger text-[13px] first-letter:uppercase" v-show="errorMessage">
            {{ errorMessage }}
        </p>
    </div>
</template>

<script>
import { useField } from "vee-validate";

export default {
    name: "VDatetimePicker",
    props: {
        name: {
            type: String,
            required: true,
        },
        label: {
            type: String,
            default: "",
        },
        placeholder: {
            type: String,
            default: "",
        },
        valueFormat: {
            type: String,
            default: "YYYY-MM-DD",
        },
        format: {
            type: String,
            default: "MMMM DD, YYYY",
        },
        valueModel: {
            type: String,
            default: "",
        },
    },
    setup(props) {
        const { value, errorMessage } = useField(props.name);

        return {
            value,
            errorMessage,
        };
    },
};
</script>